ServerEvents.recipes(event => {
    event.remove({ output: 'ars_nouveau:imbuement_chamber' })
    event.shaped(
        Item.of('ars_nouveau:imbuement_chamber'),
        [
            'ABA',
            'B B',
            'AAA'
        ],
        {
            A: 'ars_nouveau:archwood_planks',
            B: '#forge:ingots/gold'
        }
    )
    event.remove({ id: 'ars_nouveau:arcane_pedestal' })
    event.shaped(
        Item.of('ars_nouveau:arcane_pedestal'),
        [
            'ABA',
            'CAC',
            'CAC'
        ],
        {
            A: 'ars_nouveau:sourcestone',
            B: 'create:depot',
            C: 'ars_nouveau:sconce'
        }
    )
    event.shapeless(
        Item.of('ars_nouveau:sconce'),
        [
            'ars_nouveau:source_gem',
            '2x #forge:nuggets/electrum'
        ]
    )
    event.remove({ id: 'ars_nouveau:spell_prism' })
    event.shaped(
        Item.of('ars_nouveau:spell_prism'),
        [
            'ABA',
            'BCB',
            'ABA'
        ],
        {
            A: 'ars_nouveau:archwood_planks',
            B: '#forge:storage_blocks/quartz',
            C: 'botania:rune_mana'
        }
    )
    event.remove({ output: 'ars_nouveau:enchanting_apparatus' })
    event.shaped(
        Item.of('ars_nouveau:enchanting_apparatus'),
        [
            'ABA',
            'CDC',
            'ABA'
        ],
        {
            A: 'ars_nouveau:sconce',
            B: 'ars_nouveau:sourcestone',
            C: 'industrialforegoing:pink_slime_ingot',
            D: 'ars_elemental:advanced_prism'
        }
    )
    event.remove({ output: 'ars_nouveau:arcane_core' })
    event.shaped(
        Item.of('ars_nouveau:arcane_core'),
        [
            'ABA',
            'CDC',
            'ABA'
        ],
        {
            A: 'minecraft:gold_ingot',
            B: 'ars_nouveau:sourcestone',
            C: 'industrialforegoing:pink_slime_ingot',
            D: 'ars_nouveau:spell_prism'
        }
    )
})